Package org.apache.solr.client.solrj.request

## Class ApiMapping

- java.lang.Object
- - org.apache.solr.client.solrj.request.ApiMapping

    public class ApiMapping
    extends Object

Types and utilities used by many ApiMapping classes.

### Nested Class Summary

Nested Classes
`static interface` `ApiMapping.CommandMeta`
`static interface` `ApiMapping.V2EndPoint`

### Constructor Summary

Constructors
`ApiMapping()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `collectKeyNames​(Map<String,​Object> map, List<String> result, String prefix)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ApiMapping

    public ApiMapping()

### Method Detail

#### collectKeyNames

    public static void collectKeyNames​(Map<String,​Object> map,
                                       List<String> result,
                                       String prefix)